IOCONTROL(1)

NAME
iocontrol - interacts with HAL or G-code in non-realtime

SYNOPSIS

[EMCIO]
EMCIO = io
or
EMCIO = iov2

DESCRIPTION

I/O control handles I/O tasks like coolant, toolchange, E-stop and lube. The signals are turned on and off in non-realtime with G-code or in the case of E-stop in HAL.
I/O Control V2 (iov2) adds more toolchager support for communication with the toolchanger.

Whether io or iov2 is used can be chosen in the [EMCIO] section of the INI file.

See also http://linuxcnc.org/docs/html/config/iov2.html

SEE ALSO

io(1) iov2(1)